#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    food600
#DEF <PRIMARYKEY> idriadok
#DEF <TABLENAME> kasc_skl

#[ CREATE TABLE ZACATEK ]#
    operacia character(2) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    id_kas character(2) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    autor character(3) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    cena_celk numeric(12,2) NOT NULL DEFAULT 0,
    sleva_abs numeric(12,2) NOT NULL DEFAULT 0,
    round50 numeric(3,1) NOT NULL DEFAULT 0,
    druh_pl character(8) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    tip numeric(8,2) NOT NULL DEFAULT 0,
    cena_pl numeric(12,2) NOT NULL DEFAULT 0,
    mena character(3) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    cena_mena numeric(12,2) NOT NULL DEFAULT 0,
    id_man character(2) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    kod integer NOT NULL DEFAULT 0,
    prachy numeric(8,2) NOT NULL DEFAULT 0,
    dan numeric(5,3) NOT NULL DEFAULT 1,
    mnozstvi numeric(10,3) NOT NULL DEFAULT 0,
    cen_hlad character(1) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    nazov character(50) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    uzaverka character(17) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    prenos character(17) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    n_ucis numeric(5,0) NOT NULL DEFAULT 0,
    puv_idman character(2) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    c_data smallint NOT NULL DEFAULT 1,
    idriadok SERIAL,
    datum character(17) COLLATE pg_catalog."default" NOT NULL DEFAULT ' '::bpchar,
    CONSTRAINT kasc_skl_idriadok PRIMARY KEY (idriadok)
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#
END IF;
#[ KONEC SOUBORU ]#